Lists all OAuth client registrations for the authenticated user.

Usage Example

GET /api/v1/auth/clients
Authorization: Bearer {token}

Response:

[
  {
    "clientId": "oauth_client_xyz789",
    "displayName": "Salesforce Production Integration",
    "redirectUris": [],
    "createdUtc": "2025-10-06T10:00:00Z",
    "botUserId": "bot-abc123"
  }
]

Note: Client secrets are never returned in list operations for security.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/auth/clients
curl https://app.propstreet.com/api/v1/auth/clients \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "clientId": "oauth_client_abc123xyz",
    "displayName": "Salesforce Production Integration",
    "redirectUris": [
      "https://myapp.example.com/oauth/callback"
    ],
    "createdUtc": "2025-10-06T10:00:00Z",
    "botUserId": "bot-abc123"
  }
]